# TdApi.BlockMessageSenderFromReplies (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: BlockMessageSenderFromReplies

Package it.tdlight.jni

# Class TdApi.BlockMessageSenderFromReplies

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.BlockMessageSenderFromReplies

Enclosing class:
  TdApi

    public static class TdApi.BlockMessageSenderFromReplies
    extends TdApi.Function

Blocks an original sender of a message in the Replies chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `deleteAllMessages` | Pass true if all messages from the same sender must be deleted.
`boolean` | `deleteMessage` | Pass true if the message must be deleted.
`long` | `messageId` | The identifier of an incoming message in the Replies chat.
`boolean` | `reportSpam` | Pass true if the sender must be reported to the Telegram moderators.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`BlockMessageSenderFromReplies()` | Blocks an original sender of a message in the Replies chat.
`BlockMessageSenderFromReplies​(long messageId, boolean deleteMessage, boolean deleteAllMessages, boolean reportSpam)` | Blocks an original sender of a message in the Replies chat.
`BlockMessageSenderFromReplies​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageId

public long messageId
The identifier of an incoming message in the Replies chat.

### deleteMessage

public boolean deleteMessage
Pass true if the message must be deleted.

### deleteAllMessages

public boolean deleteAllMessages
Pass true if all messages from the same sender must be deleted.

### reportSpam

public boolean reportSpam
Pass true if the sender must be reported to the Telegram moderators.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### BlockMessageSenderFromReplies

public BlockMessageSenderFromReplies()
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

### BlockMessageSenderFromReplies

public BlockMessageSenderFromReplies​(long messageId, boolean deleteMessage, boolean deleteAllMessages, boolean reportSpam)
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

Parameters:
  `messageId` - long The identifier of an incoming message in the Replies chat.
  `deleteMessage` - boolean Pass true if the message must be deleted.
  `deleteAllMessages` - boolean Pass true if all messages from the same sender must be deleted.
  `reportSpam` - boolean Pass true if the sender must be reported to the Telegram moderators.

### BlockMessageSenderFromReplies

public BlockMessageSenderFromReplies​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`